Delete a linked account

Delete a Linked Account so it is no longer recognized as a source of incoming funds.

Required permissions: account:delete.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired
The ID of the Linked Account.

Headers

X-Penny-As-Businessstring or nullOptional

Act on behalf of another business that has granted you access. Requires the business:act_as permission.

Response

The linked account, now marked as deleted.
account_idstring
Unique identifier for the account.
versioninteger
The current version of the account record.
version_timedatetime

ISO-8601 timestamp of the most recent account update.

statusenum
The current status of the linked account.
currencyenum

ISO-4217 currency code for the account.

Allowed values:
countryenum

ISO-3166-1 alpha-2 country code for the account.

Allowed values:
account_detailsobject
The bank account details, including routing or IBAN information.
aliasstring or nullOptional
An optional label for the account.
descriptionstring or nullOptional
An optional description of the account's purpose.
typeenumOptionalDefaults to linked

Account types exposed to client-facing API responses.

Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error